\documentclass{article}
\usepackage{amsmath}
\usepackage{graphicx}
\begin{document}
	(a) 
	Algorithm: if the sum of entries in each row is an integer, and the sum of entries in each column is an
	integer, run the max-flow algorithm. Run the algorithm in HW1 Problem 2, If there is a feasible flow $f$ saturates all edges outbound from $s$ and all edges inbound to $t$ with $f_e$ is an integer for all $e \in E$.
	
	Proof: ($\Rightarrow$) if (i)the sum of entries in each row is an integer, and the sum of entries in each column is an integer and (ii) there is a feasible flow $f$ saturates all edges outbound from $s$ and all edges inbound to $t$ with $f_e$ is an integer for all $e \in E$, we can set the rounded elements in the matrix $a_{ij} = f(R_i \rightarrow C_j)$ for all $1 \leq i \leq m$, $1 \leq j \leq n$. From (i), we know that $\lfloor \sum_{x \in R_i} x \rfloor = \lceil \sum_{x \in R_i} x \rceil = \sum_{x \in R_i} x$ and $\lfloor \sum_{x \in C_j} x \rfloor = \lceil \sum_{x \in C_j} x \rceil = \sum_{x \in C_j} x$. From (ii), according to flow conservation on $R_i$, we know that $\sum_{x \in R_i} x = \sum_{1 \leq k \leq n} a_{ik}$. According to flow conservation on $R_i$, we know that $\sum_{x \in C_j} x = \sum_{1 \leq k \leq m} a_{kj}$. Thus, we get a rounded matrix, filled with $a_{ij}$.
	
	($\Leftarrow$) if there exists a rounded matrix, according to simple math theory, the sum of entries in each row is an integer, and the sum of entries in each column is an integer because every element is an integer. Furthermore, we can create a feasible flow by setting $f(s \rightarrow R_i) = \sum_{1 \leq k \leq n} a_{ik}, f(R_i \rightarrow C_j) = a_{ij}, f(C_j \rightarrow t) = \sum_{1 \leq k \leq m} a_{kj}$, for all $1 \leq i \leq m$, $1 \leq j \leq n$. $f$ obviously satisfies the flow constraints. $f$ is also feasible because $a_{ij} \in \{\lfloor x_{ij} \rfloor, \lceil x_{ij} \rceil\}$ and $\sum_{1 \leq k \leq n} a_{ik} = \sum_{x \in R_i} x, \sum_{1 \leq k \leq m} a_{kj} = \sum_{x \in C_j} x$. 
	
	
	% if $\lfloor \sum_{x \in R_i} x \rfloor = \lfloor \sum_{x \in R_i} x \rfloor$ and $\lfloor \sum_{y \in C_j} y \rfloor = \lfloor \sum_{y \in C_j} y \rfloor$, for all $1 \leq i \leq m$, $1 \leq j \leq n$,
	
	(b) Proof: ($\Rightarrow$) if (i)the sum of entries in each row is an
        integer, and the sum of entries in each column is an integer, we can get
        a fractional feasible flow $f$ by setting
        $f(s \rightarrow R_i) = \sum_{1 \leq k \leq n} x_{ik}, f(R_i \rightarrow
        C_j) = x_{ij}, f(C_j \rightarrow t) = \sum_{1 \leq k \leq m} x_{kj}$,
        for all $1 \leq i \leq m$, $1 \leq j \leq n$. $f$ obviously satisfies
        the flow constraints. $f$ is also feasible because
        $x_{ij} \in [\lfloor x_{ij} \rfloor, \lceil x_{ij} \rceil]$ and
        $\sum_{1 \leq k \leq n} x_{ik} = \sum_{x \in R_i} x, \sum_{1 \leq k \leq
          m} x_{kj} = \sum_{x \in C_j} x$. According to the Integral theorem,
        there must be an integral max flow $f^*$ such that we can set the
        rounded elements in the matrix $a_{ij} = f^*(R_i \rightarrow C_j)$ for
        all $1 \leq i \leq m$, $1 \leq j \leq n$. Thus we know the rounded
        matrix exists.
	
	($\Leftarrow$) if there exists a rounded matrix, according to simple math theory, the sum of entries in each row is an integer, and the sum of entries in each column is an integer because every element is an integer. 
\end{document}

